diff a/test/jdk/java/util/Collection/IteratorAtEnd.java b/test/jdk/java/util/Collection/IteratorAtEnd.java
--- a/test/jdk/java/util/Collection/IteratorAtEnd.java
+++ b/test/jdk/java/util/Collection/IteratorAtEnd.java
@@ -1,7 +1,7 @@
 /*
- * Copyright (c) 2007, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2007, 2024, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License version 2 only, as
  * published by the Free Software Foundation.
@@ -21,11 +21,11 @@
  * questions.
  */
 
 /*
  * @test
- * @bug 6529795
+ * @bug 6529795 8336669
  * @summary next() does not change iterator state if throws NoSuchElementException
  * @author Martin Buchholz
  */
 
 import java.util.ArrayDeque;
@@ -97,11 +97,11 @@
     }
 
     static void testMap(Map m) {
         try {
             for (int i = 0; i < 3*SIZE; i++)
-                m.put(i, i);
+                m.put("BASE-" + i, i);
             test(m.values());
             test(m.keySet());
             test(m.entrySet());
         } catch (Throwable t) { unexpected(t); }
     }
